### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-site-header/ecl-site-header-harmonised/login/ecl-site-header-harmonised-login-details.directive.ts`

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclSiteHeaderHarmonisedLoginDescription]`

### Index

###### Properties
className
###### Methods
getCssClasses
###### Inputs
class e2eAttr
###### HostBindings
class

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `string`
Default value : `'ecl-site-header-harmonised__login-description'`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

className
Type : `string`
Default value : `'ecl-site-header-harmonised__login-description'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""